| My Project

Public Member Functions | Properties | List of all members
Modèle.Utilisateur Class Reference

Classe Utilisateur qui implémente l'interface Personne More...

Inheritance diagram for Modèle.Utilisateur:

## Public Member Functions
| Utilisateur (string mail, string mdp)
| Constructeur d'utilisateur sans nombre de submits More...
| Utilisateur (string mail, string mdp, int nbSubmit)
| Constructeur d'utilisateur avec nombre de submits More...
override string | ToString ()
| Méthode ToString de la classe Utilisateur More...
bool | Equals (Utilisateur u)
| Méthode Equals de la classe Utilisateur qui regarde en fonction des emails More...
override void | AjouterRequin (Requin req, ObservableCollection< Requin > requins)
| Méthode qui permet d'ajouter un Requin dans une ObservableCollection de Requin et d'augmenter le nombre de submits de 1 More...
override void | ChangerMotDePasse (string nvMdp)
| Méthode qui permet de changer le mot de passe de l'Utilisateur More...
Public Member Functions inherited from Modèle.Personne
| Personne (string email, string mdp)
| Constructeur d'une personne More...
abstract override string | ToString ()
| Création de la méthode abstraite ToString More...
abstract void | AjouterRequin (Requin req, ObservableCollection< Requin > requins)
| Création de la méthode abstraite AjouterRequin qui permet d'ajouter un Requin dans une ObservableCollection de Requin More...
abstract void | ChangerMotDePasse (string nvMdp)
| Création de la méthode abstraite ChangerMotDePasse qui permet de changer le mot de passe d'un personne More...

## Properties
int | NbSubmit`[get]`
| int qui permet de savoir le nombre d'ajouts et de modifications qu'à fait un utilisateur
Properties inherited from Modèle.Personne
string | Email`[get, protected set]`
| String email d'une Personne
string | MotDePasse`[get, protected set]`
| String mot de passe d'une Personne

## Detailed Description

Classe Utilisateur qui implémente l'interface Personne

## Constructor & Destructor Documentation

## ◆ Utilisateur() [1/2]

Modèle.Utilisateur.Utilisateur | ( | string | mail,
|  | string | mdp
| ) |  |
| inline

Constructeur d'utilisateur sans nombre de submits

Parameters

  mail | string l'email de l'utilisateur
  mdp | string mot de passe de l'utilisateur

## ◆ Utilisateur() [2/2]

Modèle.Utilisateur.Utilisateur | ( | string | mail,
|  | string | mdp,
|  | int | nbSubmit
| ) |  |
| inline

Constructeur d'utilisateur avec nombre de submits

Parameters

  mail | string l'email de l'utilisateur
  mdp | string mot de passe de l'utilisateur
  nbSubmit | int le nombre de submits de l'utilisateur

## Member Function Documentation

## ◆ AjouterRequin()

override void Modèle.Utilisateur.AjouterRequin | ( | Requin | req,
|  | ObservableCollection< Requin > | requins
| ) |  |
| inline virtual

Méthode qui permet d'ajouter un Requin dans une ObservableCollection de Requin et d'augmenter le nombre de submits de 1

Parameters

  req | Requin qui va être ajouté dans l'observable collection
  requins | ObservableCollection de Requin l'ObservableCollection dans laquelle on ajoute le Requin

Implements Modèle.Personne.

## ◆ ChangerMotDePasse()

override void Modèle.Utilisateur.ChangerMotDePasse | ( | string | nvMdp | ) |
| inline virtual

Méthode qui permet de changer le mot de passe de l'Utilisateur

Parameters

  nvMdp | String nouveau mot de passe de l'Utilisateur

Implements Modèle.Personne.

## ◆ Equals()

bool Modèle.Utilisateur.Equals | ( | Utilisateur | u | ) |
| inline

Méthode Equals de la classe Utilisateur qui regarde en fonction des emails

Parameters

  u | Utilisateur

Returns
  Booléen : true si ils sont égaux, false si ils sont différents

## ◆ ToString()

override string Modèle.Utilisateur.ToString | ( |  | ) |
| inline virtual

Méthode ToString de la classe Utilisateur

Implements Modèle.Personne.

The documentation for this class was generated from the following file:

- Modèle/Utilisateur.cs